## qt6-grpc 6.6.1

=== CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtGrpc
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt GRPC and Protobuf generator and bindings."
    HOMEPAGE_URL "https://qt.io"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
# Try to find Qt6::qtprotobufgen and Qt6::qtgrpcgen targets from host tools
# when cross-compiling.
if(NOT "${QT_HOST_PATH}" STREQUAL "")
    add_subdirectory("${CMAKE_CURRENT_LIST_DIR}/src/tools/host")
endif()

find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Network Gui Widgets Quick
    QuickControls2)
qt_internal_project_setup()

include("${CMAKE_CURRENT_LIST_DIR}/src/tools/qtprotobufgen/Qt6ProtobufToolsMacros.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/src/tools/qtgrpcgen/Qt6GrpcToolsMacros.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/src/protobuf/Qt6ProtobufBuildInternals.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/src/wellknown/Qt6ProtobufWellKnownTypesBuildInternals.cmake")

qt_build_repo()

=== src/protobufqttypes/protobufqtcoretypes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_protobuf_module(ProtobufQtCoreTypes
    SOURCES
        qtprotobufqtcoretypes.cpp
        qtprotobufqtcoretypes.h
        qtprotobufqtcoretypesglobal.h
        qtprotobufqttypescommon_p.h
    GENERATE_CPP_EXPORTS
    LIBRARIES
        Qt::Core
        Qt::Protobuf
        Qt::ProtobufPrivate
    PROTO_FILES
        QtCore/QtCore.proto
    PRIVATE_HEADER_FILTERS
        ".*\\.qpb\\.h"
)

qt_internal_add_docs(ProtobufQtCoreTypes
    doc/qtprotobufqtcoretypes.qdocconf
)

=== tests/auto/protobufgen/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_qtprotobufgen
    SOURCES
        tst_qtprotobufgen.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
    DEFINES
        PROTOC_EXECUTABLE="$<TARGET_FILE:WrapProtoc::WrapProtoc>"
)

qt_add_protobuf(tst_qtprotobufgen
    PROTO_FILES
        ../shared/data/proto/annotation.proto
    COPY_COMMENTS
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/comments"
)

qt_add_protobuf(tst_qtprotobufgen
    PROTO_FILES
        ../shared/data/proto/fieldindexrange.proto
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/fieldenum"
)

qt_add_protobuf(tst_qtprotobufgen
    PROTO_FILES
        ../shared/data/proto/extranamespace.proto
    EXTRA_NAMESPACE
        MyTopLevelNamespace
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/extra-namespace"
)

qt_add_protobuf(tst_qtprotobufgen
    PROTO_FILES
        ../shared/data/proto/basicmessages.proto
        ../shared/data/proto/mapmessages.proto
        ../shared/data/proto/oneofmessages.proto
        ../shared/data/proto/repeatedmessages.proto
    GENERATE_PACKAGE_SUBFOLDERS
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/folder"
)

qt_add_protobuf(tst_qtprotobufgen
    PROTO_FILES
        ../shared/data/proto/repeatednonpackedmessages.proto
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/packed"
)
qt_autogen_tools_initial_setup(tst_qtprotobufgen)

if(MINGW)
    target_compile_options(tst_qtprotobufgen PRIVATE "-Wa,-mbig-obj")
endif()

if(TARGET Qt6::Qml)
    qt_internal_extend_target(tst_qtprotobufgen
        DEFINES
            HAVE_QML
    )

    qt_add_protobuf(tst_qtprotobufgen_qml_gen
        PROTO_FILES
        ../shared/data/proto/basicmessages.proto
        ../shared/data/proto/repeatedmessages.proto
        ../protobuf/enums/enummessages.proto
        QML
        OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/qmlgen"
    )
    qt_autogen_tools_initial_setup(tst_qtprotobufgen_qml_gen)
    qt_autogen_tools_initial_setup(tst_qtprotobufgen_qml_genplugin)

    qt_add_protobuf(tst_qtprotobufgen_nopackage_qml_gen
        PROTO_FILES
            ../shared/data/proto/nopackage.proto
            ../shared/data/proto/nopackageexternal.proto
        QML
        QML_URI "nopackage.uri.test"
        OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated/qml-no-package"
    )
    qt_autogen_tools_initial_setup(tst_qtprotobufgen_nopackage_qml_gen)
    qt_autogen_tools_initial_setup(tst_qtprotobufgen_nopackage_qml_genplugin)

    add_dependencies(tst_qtprotobufgen
        tst_qtprotobufgen_qml_gen
        tst_qtprotobufgen_nopackage_qml_gen
    )
endif()

=== tests/auto/protobufqml/syntax/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_protobuf_syntax_qml
    QMLTEST
    SOURCES
        tst_protobuf_syntax_qml.cpp
    LIBRARIES
        Qt::Qml
)

qt_add_protobuf(tst_protobuf_syntax_qml_gen
    PROTO_FILES
        ../../shared/data/proto/syntax.proto
    QML
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated"
)

qt_policy(SET QTP0001 NEW)
qt_add_qml_module(tst_protobuf_syntax_qml
    URI QmlTestUri
    VERSION 1.0
    QML_FILES
        qml/tst_syntax.qml
)

qt_autogen_tools_initial_setup(tst_protobuf_syntax_qml)
qt_autogen_tools_initial_setup(tst_protobuf_syntax_qml_gen)
qt_autogen_tools_initial_setup(tst_protobuf_syntax_qml_genplugin)

if(QT_BUILD_STANDALONE_TESTS)
    qt_import_qml_plugins(tst_protobuf_syntax_qml)
endif()

=== tests/auto/grpc/client/ssl/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT TARGET securetestserver)
    return()
endif()

qt_internal_add_test(tst_grpc_ssl_client
    SOURCES
        tst_grpc_ssl_client.cpp
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../shared
    LIBRARIES
        Qt::Test
        Qt::Core
        Qt::Grpc
        Qt::Network
        tst_grpc_client_qtgrpc_gen
)

add_dependencies(tst_grpc_ssl_client securetestserver)

=== tests/auto/grpc/client/shared/test_server/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

find_package(WrapgRPCPlugin)
find_package(WrapProtobuf)
find_package(WrapgRPC)

if(NOT WrapgRPCPlugin_FOUND OR NOT WrapProtobuf_FOUND OR NOT WrapgRPC_FOUND)
    message(WARNING "Dependencies of Qt GRPC test server not found. Skipping.")
    return()
endif()

set(proto_files "${CMAKE_CURRENT_LIST_DIR}/../../../shared/proto/testservice.proto")
set(out_dir ${CMAKE_CURRENT_BINARY_DIR})

set(generated_files
    "${out_dir}/testservice.pb.h" "${out_dir}/testservice.pb.cc"
    "${out_dir}/testservice.grpc.pb.h" "${out_dir}/testservice.grpc.pb.cc")

add_custom_command(
    OUTPUT ${generated_files}
    COMMAND
        $<TARGET_FILE:WrapProtoc::WrapProtoc>
    ARGS
        --grpc_out "${out_dir}"
        --cpp_out "${out_dir}"
        -I "${CMAKE_CURRENT_LIST_DIR}/../../../shared/proto/"
        --plugin=protoc-gen-grpc=$<TARGET_FILE:WrapgRPC::WrapgRPCPlugin>
        "${proto_files}"
    WORKING_DIRECTORY ${out_dir}
    DEPENDS "${proto_files}"
    COMMENT "Generating gRPC ${target} sources..."
    COMMAND_EXPAND_LISTS
    VERBATIM
)

set_source_files_properties(${generated_files} PROPERTIES GENERATED TRUE)
add_library(TestServerRunner_grpc_gen STATIC ${generated_files})
target_include_directories(TestServerRunner_grpc_gen
    PRIVATE
        ${out_dir}
        WrapgRPC_INCLUDE_PATH
)

target_link_libraries(TestServerRunner_grpc_gen
    PRIVATE
        WrapProtobuf::WrapLibProtobuf
        WrapgRPC::WrapLibgRPC
)

add_library(TestServerRunner
    STATIC
        ${CMAKE_CURRENT_LIST_DIR}/testserverrunner.cpp
        ${CMAKE_CURRENT_LIST_DIR}/testserverrunner.h
)

target_include_directories(TestServerRunner
    PRIVATE
        ${out_dir}
        ${CMAKE_CURRENT_LIST_DIR}/../../../shared
)

target_link_libraries(TestServerRunner
    PRIVATE
        TestServerRunner_grpc_gen
        WrapgRPC::WrapLibgRPC
        Qt6::Core
)

set_source_files_properties("${CMAKE_CURRENT_LIST_DIR}/assets/cert.pem"
    PROPERTIES QT_RESOURCE_ALIAS assets/cert.pem)
set_source_files_properties("${CMAKE_CURRENT_LIST_DIR}/assets/key.pem"
    PROPERTIES QT_RESOURCE_ALIAS assets/key.pem)

qt_add_resources(TestServerRunner
    "keys"
    PREFIX
        "/"
    FILES
        "${CMAKE_CURRENT_LIST_DIR}/assets/cert.pem"
        "${CMAKE_CURRENT_LIST_DIR}/assets/key.pem"
)

qt_internal_add_executable(testserver
    SOURCES
        ${CMAKE_CURRENT_LIST_DIR}/testserver.cpp
    LIBRARIES
        TestServerRunner
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    INSTALL_DIRECTORY "${INSTALL_TESTSDIR}/shared"
)

qt_internal_add_executable(securetestserver
    SOURCES
        ${CMAKE_CURRENT_LIST_DIR}/securetestserver.cpp
    LIBRARIES
        TestServerRunner
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    INSTALL_DIRECTORY "${INSTALL_TESTSDIR}/shared"
)

=== debian/changelog ===
qt6-grpc (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jan 2024 00:07:34 +0100

qt6-grpc (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 20:13:29 +0100

qt6-grpc (6.6.0-1) experimental; urgency=medium

  * Initial release (Closes: #1057015).

 -- Patrick Franz <deltaone@debian.org>  Mon, 04 Dec 2023 18:36:56 +0100

## qt6-grpc 6.6.2

=== debian/changelog ===
qt6-grpc (6.6.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:22:06 +0200

qt6-grpc (6.6.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix building the documentation.

 -- Patrick Franz <deltaone@debian.org>  Sun, 18 Feb 2024 23:48:14 +0100

qt6-grpc (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 20:27:48 +0100

=== debian/control ===
Source: qt6-grpc
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgrpc++-dev,
               libprotobuf-c-dev,
               libprotobuf-dev,
               libprotoc-dev,
               ninja-build,
               pkgconf,
               pkg-kde-tools,
               protobuf-compiler-grpc,
               qt6-base-dev (>= 6.6.2+dfsg~),
               qt6-base-private-dev (>= 6.6.2+dfsg~),
               qt6-declarative-dev (>= 6.6.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
Rules-Requires-Root: no

Package: libqt6grpc6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 gRPC.

Package: libqt6protobuf6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers.

Package: libqt6protobufqtcoretypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 protocol buffers Qt Core types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers Qt Core types.

Package: libqt6protobufqtguitypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 procotol buffers Qt GUI types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffers Qt GUI types.

Package: libqt6protobufwellknowntypes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC protocol buffers Well Known types library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the library for Qt 6 protocol buffer Well Known types.

Package: qt6-grpc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6grpc6 (= ${binary:Version}),
         libqt6protobuf6 (= ${binary:Version}),
         libqt6protobufqtcoretypes6 (= ${binary:Version}),
         libqt6protobufqtguitypes6 (= ${binary:Version}),
         libqt6protobufwellknowntypes6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-grpc-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 gRPC development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development headers for the gRPC library.

Package: qt6-grpc-tools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libqt6grpc6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 gRPC tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains binaries required for gRPC/protobuf generation.

Package: qt6-grpc-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 gRPC.

Package: qt6-grpc-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 gRPC.

Package: qt6-grpc-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 gRPC tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt gRPC documentation.

Package: qt6-grpc-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 gRPC examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt gRPC submodule.

## qt6-grpc 6.7.2

=== debian/changelog ===
qt6-grpc (6.7.2-7) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Nov 2024 22:05:46 +0100

qt6-grpc (6.7.2-6) unstable; urgency=medium

  * Team upload.
  * Fix architecture of a couple of symbols.

 -- Pino Toscano <pino@debian.org>  Thu, 24 Oct 2024 06:37:41 +0200

qt6-grpc (6.7.2-5) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:40:07 +0200

qt6-grpc (6.7.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:43:13 +0200

qt6-grpc (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 22:43:45 +0200

qt6-grpc (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 11:56:21 +0200

qt6-grpc (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files and new binary packages.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 18:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,23 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgrpc++-dev,
                libprotobuf-c-dev,
                libprotobuf-dev,
                libprotoc-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
@@ -34,6 +37,17 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the library for Qt 6 gRPC.
+
+Package: libqt6grpcquick6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 gRPC Quick library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the library for Qt 6 gRPC Quick.
 
 Package: libqt6protobuf6
 Architecture: any
@@ -79,15 +93,28 @@
  .
  This package contains the library for Qt 6 protocol buffer Well Known types.
 
+Package: qml6-module-qtgrpc
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Description: Qt 6 gRPC
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the QML module for Qt gRPC.
+
 Package: qt6-grpc-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6grpc6 (= ${binary:Version}),
+         libqt6grpcquick6 (= ${binary:Version}),
          libqt6protobuf6 (= ${binary:Version}),
          libqt6protobufqtcoretypes6 (= ${binary:Version}),
          libqt6protobufqtguitypes6 (= ${binary:Version}),
          libqt6protobufwellknowntypes6 (= ${binary:Version}),
+         qml6-module-qtgrpc (= ${binary:Version}),
          qt6-base-dev,
          qt6-grpc-tools (= ${binary:Version}),
          ${misc:Depends},

## qt6-grpc 6.8.0

=== tests/auto/protobuf/externalpackage/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_protobuf_externalpackage LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_protobuf_externalpackage
    SOURCES
        tst_protobuf_externalpackage.cpp
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

qt6_add_protobuf(tst_protobuf_externalpackage
    PROTO_FILES
        proto/externalpackage.proto
        proto/externalpackageconsumer.proto
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated"
)
qt_autogen_tools_initial_setup(tst_protobuf_externalpackage)

=== tests/benchmarks/protobuf/deserialize/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_benchmark(tst_bench_deserialize_protobuf
    SOURCES
        tst_bench_deserialize_protobuf.cpp
    INCLUDE_DIRECTORIES
        .
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)

qt6_add_protobuf(tst_bench_deserialize_protobuf
    PROTO_FILES
        data/bench.proto
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/qt_protobuf_generated"
)

=== debian/changelog ===
qt6-grpc (6.8.0-0deepin1) UNRELEASED; urgency=medium

  * add build-dep qt6-declarative-private-dev.
  * update debian/*.install.

 -- lichenggang <lichenggang@deepin.org>  Tue, 05 Nov 2024 13:30:37 +0800

qt6-grpc (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 28 Oct 2024 10:43:56 +0800

qt6-grpc (6.6.1-2deepin0) experimental; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:16:41 +0800

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,21 @@
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgrpc++-dev,
                libprotobuf-c-dev,
                libprotobuf-dev,
                libprotoc-dev,
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0~),
+	       qt6-declarative-private-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
@@ -37,17 +35,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the library for Qt 6 gRPC.
-
-Package: libqt6grpcquick6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 gRPC Quick library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the library for Qt 6 gRPC Quick.
 
 Package: libqt6protobuf6
 Architecture: any
@@ -93,28 +80,15 @@
  .
  This package contains the library for Qt 6 protocol buffer Well Known types.
 
-Package: qml6-module-qtgrpc
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Description: Qt 6 gRPC
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the QML module for Qt gRPC.
-
 Package: qt6-grpc-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6grpc6 (= ${binary:Version}),
-         libqt6grpcquick6 (= ${binary:Version}),
          libqt6protobuf6 (= ${binary:Version}),
          libqt6protobufqtcoretypes6 (= ${binary:Version}),
          libqt6protobufqtguitypes6 (= ${binary:Version}),
          libqt6protobufwellknowntypes6 (= ${binary:Version}),
-         qml6-module-qtgrpc (= ${binary:Version}),
          qt6-base-dev,
          qt6-grpc-tools (= ${binary:Version}),
          ${misc:Depends},

## qt6-grpc 6.8.1

=== debian/changelog ===
qt6-grpc (6.8.1-0ubuntu2) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:53:50 -0600

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: qt6-grpc
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgrpc++-dev,
                libprotobuf-c-dev,
                libprotobuf-dev,
                libprotoc-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
+               pkgconf,
                protobuf-compiler-grpc,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0~),
-	       qt6-declarative-private-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-grpc.git
@@ -36,6 +39,17 @@
  .
  This package contains the library for Qt 6 gRPC.
 
+Package: libqt6grpcquick6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 gRPC Quick library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the library for Qt 6 gRPC Quick.
+
 Package: libqt6protobuf6
 Architecture: any
 Multi-Arch: same
@@ -47,6 +61,17 @@
  .
  This package contains the library for Qt 6 protocol buffers.
 
+Package: libqt6protobufquick6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 protocol buffers Quick library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Quick library for Qt 6 protocol buffers.
+
 Package: libqt6protobufqtcoretypes6
 Architecture: any
 Multi-Arch: same
@@ -79,16 +104,41 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the library for Qt 6 protocol buffer Well Known types.
+
+Package: qml6-module-qtgrpc
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Description: Qt 6 gRPC
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the QML module for Qt gRPC.
+
+Package: qml6-module-protobuf
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Description: Qt 6 Protobuf
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the QML module for Qt Protobuf.
 
 Package: qt6-grpc-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt6grpc6 (= ${binary:Version}),
+         libqt6grpcquick6 (= ${binary:Version}),
          libqt6protobuf6 (= ${binary:Version}),
          libqt6protobufqtcoretypes6 (= ${binary:Version}),
          libqt6protobufqtguitypes6 (= ${binary:Version}),
          libqt6protobufwellknowntypes6 (= ${binary:Version}),
+         qml6-module-protobuf (= ${binary:Version}),
+         qml6-module-qtgrpc (= ${binary:Version}),
          qt6-base-dev,
          qt6-grpc-tools (= ${binary:Version}),
          ${misc:Depends},
